using System;
using System.Collections;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Windows.Forms;

namespace Core.XgMes.Client.JGKC.SteelPlateManager
{
	/// <summary>
	/// 中板成品库存综合查询统计分析控件
	/// </summary>
	public class ctlKCJListStat : System.Windows.Forms.UserControl
	{
		private Infragistics.Win.UltraWinEditors.UltraCheckEditor chk_StatButtress;
		private Infragistics.Win.UltraWinEditors.UltraCheckEditor chk_StatRollNO;
        private Infragistics.Win.UltraWinEditors.UltraCheckEditor chk_StatBilletID;
        private Infragistics.Win.UltraWinEditors.UltraCheckEditor chk_StatResult;
		private Infragistics.Win.UltraWinEditors.UltraCheckEditor chk_StatPlanNO;
		private Infragistics.Win.UltraWinEditors.UltraCheckEditor chk_StatCondole;
        private Infragistics.Win.UltraWinEditors.UltraCheckEditor chk_StatSend;
		private Infragistics.Win.UltraWinEditors.UltraCheckEditor chk_StatSendOnly;
        private Infragistics.Win.UltraWinEditors.UltraCheckEditor chk_StatInTime;
        private Infragistics.Win.UltraWinEditors.UltraCheckEditor chk_NOrderNOStat;
		private Infragistics.Win.UltraWinEditors.UltraCheckEditor chk_PlyStat;
		private Infragistics.Win.UltraWinEditors.UltraCheckEditor chk_WidthStat;
        private Infragistics.Win.UltraWinEditors.UltraCheckEditor chk_LengthStat;
		private Infragistics.Win.UltraWinEditors.UltraCheckEditor Chk_StatPrd;
		private Infragistics.Win.UltraWinEditors.UltraCheckEditor Chk_StatStoveNO;
		private Infragistics.Win.UltraWinEditors.UltraCheckEditor Chk_StatRemark;
		private Infragistics.Win.UltraWinEditors.UltraCheckEditor chk_shdw;
        private Infragistics.Win.UltraWinEditors.UltraCheckEditor chk_DZ;
        private Infragistics.Win.UltraWinEditors.UltraCheckEditor ultchkPactnoDW;
        private Infragistics.Win.UltraWinEditors.UltraCheckEditor uchk_InSteel;
        private Infragistics.Win.UltraWinEditors.UltraCheckEditor uchk_Steel;
        private Infragistics.Win.UltraWinEditors.UltraCheckEditor uck_Pactno;
		/// <summary> 
		/// 必需的设计器变量。
		/// </summary>
		private System.ComponentModel.Container components = null;

		public ctlKCJListStat()
		{
			// 该调用是 Windows.Forms 窗体设计器所必需的。
			InitializeComponent();

			// TODO: 在 InitializeComponent 调用后添加任何初始化

		}

		/// <summary> 
		/// 清理所有正在使用的资源。
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region 组件设计器生成的代码
		/// <summary> 
		/// 设计器支持所需的方法 - 不要使用代码编辑器 
		/// 修改此方法的内容。
		/// </summary>
		private void InitializeComponent()
		{
            Infragistics.Win.Appearance appearance1 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance2 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance3 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance4 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance5 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance6 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance7 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance8 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance9 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance10 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance11 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance12 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance13 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance14 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance15 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance16 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance17 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance18 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance19 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance20 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance21 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance22 = new Infragistics.Win.Appearance();
            this.chk_StatButtress = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.chk_StatRollNO = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.chk_StatBilletID = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.chk_StatResult = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.chk_StatPlanNO = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.chk_StatCondole = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.chk_StatSend = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.chk_StatSendOnly = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.chk_StatInTime = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.chk_NOrderNOStat = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.chk_PlyStat = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.chk_WidthStat = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.chk_LengthStat = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.Chk_StatPrd = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.Chk_StatStoveNO = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.Chk_StatRemark = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.chk_shdw = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.chk_DZ = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.ultchkPactnoDW = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.uchk_InSteel = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.uchk_Steel = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.uck_Pactno = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.SuspendLayout();
            // 
            // chk_StatButtress
            // 
            appearance1.BackColor = System.Drawing.Color.LightCyan;
            this.chk_StatButtress.Appearance = appearance1;
            this.chk_StatButtress.Location = new System.Drawing.Point(0, 2);
            this.chk_StatButtress.Name = "chk_StatButtress";
            this.chk_StatButtress.Size = new System.Drawing.Size(102, 20);
            this.chk_StatButtress.TabIndex = 34;
            this.chk_StatButtress.Text = "堆位";
            // 
            // chk_StatRollNO
            // 
            appearance2.BackColor = System.Drawing.Color.LightCyan;
            this.chk_StatRollNO.Appearance = appearance2;
            this.chk_StatRollNO.Location = new System.Drawing.Point(98, 2);
            this.chk_StatRollNO.Name = "chk_StatRollNO";
            this.chk_StatRollNO.Size = new System.Drawing.Size(92, 20);
            this.chk_StatRollNO.TabIndex = 35;
            this.chk_StatRollNO.Text = "轧编号";
            // 
            // chk_StatBilletID
            // 
            appearance3.BackColor = System.Drawing.Color.LightCyan;
            this.chk_StatBilletID.Appearance = appearance3;
            this.chk_StatBilletID.Location = new System.Drawing.Point(0, 52);
            this.chk_StatBilletID.Name = "chk_StatBilletID";
            this.chk_StatBilletID.Size = new System.Drawing.Size(102, 20);
            this.chk_StatBilletID.TabIndex = 36;
            this.chk_StatBilletID.Text = "序号";
            // 
            // chk_StatResult
            // 
            appearance4.BackColor = System.Drawing.Color.LightCyan;
            this.chk_StatResult.Appearance = appearance4;
            this.chk_StatResult.Checked = true;
            this.chk_StatResult.CheckState = System.Windows.Forms.CheckState.Checked;
            this.chk_StatResult.Location = new System.Drawing.Point(0, 73);
            this.chk_StatResult.Name = "chk_StatResult";
            this.chk_StatResult.Size = new System.Drawing.Size(102, 20);
            this.chk_StatResult.TabIndex = 38;
            this.chk_StatResult.Text = "含判定结果";
            // 
            // chk_StatPlanNO
            // 
            appearance5.BackColor = System.Drawing.Color.LightCyan;
            this.chk_StatPlanNO.Appearance = appearance5;
            this.chk_StatPlanNO.Location = new System.Drawing.Point(0, 18);
            this.chk_StatPlanNO.Name = "chk_StatPlanNO";
            this.chk_StatPlanNO.Size = new System.Drawing.Size(102, 20);
            this.chk_StatPlanNO.TabIndex = 41;
            this.chk_StatPlanNO.Text = "现计划号";
            // 
            // chk_StatCondole
            // 
            appearance6.BackColor = System.Drawing.Color.LightCyan;
            this.chk_StatCondole.Appearance = appearance6;
            this.chk_StatCondole.Location = new System.Drawing.Point(98, 19);
            this.chk_StatCondole.Name = "chk_StatCondole";
            this.chk_StatCondole.Size = new System.Drawing.Size(92, 20);
            this.chk_StatCondole.TabIndex = 42;
            this.chk_StatCondole.Text = "含吊号";
            // 
            // chk_StatSend
            // 
            appearance7.BackColor = System.Drawing.Color.LightCyan;
            this.chk_StatSend.Appearance = appearance7;
            this.chk_StatSend.Location = new System.Drawing.Point(0, 129);
            this.chk_StatSend.Name = "chk_StatSend";
            this.chk_StatSend.Size = new System.Drawing.Size(102, 20);
            this.chk_StatSend.TabIndex = 43;
            this.chk_StatSend.Text = "含已发运";
            this.chk_StatSend.CheckedChanged += new System.EventHandler(this.chk_StatSend_CheckedChanged);
            // 
            // chk_StatSendOnly
            // 
            appearance8.BackColor = System.Drawing.Color.LightCyan;
            this.chk_StatSendOnly.Appearance = appearance8;
            this.chk_StatSendOnly.Location = new System.Drawing.Point(98, 73);
            this.chk_StatSendOnly.Name = "chk_StatSendOnly";
            this.chk_StatSendOnly.Size = new System.Drawing.Size(92, 20);
            this.chk_StatSendOnly.TabIndex = 45;
            this.chk_StatSendOnly.Text = "仅已发运";
            this.chk_StatSendOnly.CheckedChanged += new System.EventHandler(this.chk_StatSendOnly_CheckedChanged);
            // 
            // chk_StatInTime
            // 
            appearance9.BackColor = System.Drawing.Color.LightCyan;
            this.chk_StatInTime.Appearance = appearance9;
            this.chk_StatInTime.Location = new System.Drawing.Point(0, 147);
            this.chk_StatInTime.Name = "chk_StatInTime";
            this.chk_StatInTime.Size = new System.Drawing.Size(102, 20);
            this.chk_StatInTime.TabIndex = 47;
            this.chk_StatInTime.Text = "含入库信息";
            // 
            // chk_NOrderNOStat
            // 
            appearance10.BackColor = System.Drawing.Color.LightCyan;
            this.chk_NOrderNOStat.Appearance = appearance10;
            this.chk_NOrderNOStat.Location = new System.Drawing.Point(0, 34);
            this.chk_NOrderNOStat.Name = "chk_NOrderNOStat";
            this.chk_NOrderNOStat.Size = new System.Drawing.Size(102, 20);
            this.chk_NOrderNOStat.TabIndex = 49;
            this.chk_NOrderNOStat.Text = "现订单号";
            // 
            // chk_PlyStat
            // 
            appearance11.BackColor = System.Drawing.Color.LightCyan;
            this.chk_PlyStat.Appearance = appearance11;
            this.chk_PlyStat.Location = new System.Drawing.Point(0, 93);
            this.chk_PlyStat.Name = "chk_PlyStat";
            this.chk_PlyStat.Size = new System.Drawing.Size(80, 20);
            this.chk_PlyStat.TabIndex = 52;
            this.chk_PlyStat.Text = "厚";
            // 
            // chk_WidthStat
            // 
            appearance12.BackColor = System.Drawing.Color.LightCyan;
            this.chk_WidthStat.Appearance = appearance12;
            this.chk_WidthStat.Location = new System.Drawing.Point(52, 93);
            this.chk_WidthStat.Name = "chk_WidthStat";
            this.chk_WidthStat.Size = new System.Drawing.Size(80, 20);
            this.chk_WidthStat.TabIndex = 53;
            this.chk_WidthStat.Text = "宽";
            // 
            // chk_LengthStat
            // 
            appearance13.BackColor = System.Drawing.Color.LightCyan;
            this.chk_LengthStat.Appearance = appearance13;
            this.chk_LengthStat.Location = new System.Drawing.Point(0, 109);
            this.chk_LengthStat.Name = "chk_LengthStat";
            this.chk_LengthStat.Size = new System.Drawing.Size(102, 20);
            this.chk_LengthStat.TabIndex = 54;
            this.chk_LengthStat.Text = "含长度";
            // 
            // Chk_StatPrd
            // 
            appearance14.BackColor = System.Drawing.Color.LightCyan;
            this.Chk_StatPrd.Appearance = appearance14;
            this.Chk_StatPrd.Location = new System.Drawing.Point(0, 166);
            this.Chk_StatPrd.Name = "Chk_StatPrd";
            this.Chk_StatPrd.Size = new System.Drawing.Size(102, 20);
            this.Chk_StatPrd.TabIndex = 56;
            this.Chk_StatPrd.Text = "含生产信息";
            // 
            // Chk_StatStoveNO
            // 
            appearance15.BackColor = System.Drawing.Color.LightCyan;
            this.Chk_StatStoveNO.Appearance = appearance15;
            this.Chk_StatStoveNO.Location = new System.Drawing.Point(98, 38);
            this.Chk_StatStoveNO.Name = "Chk_StatStoveNO";
            this.Chk_StatStoveNO.Size = new System.Drawing.Size(92, 20);
            this.Chk_StatStoveNO.TabIndex = 57;
            this.Chk_StatStoveNO.Text = "炉号";
            // 
            // Chk_StatRemark
            // 
            appearance16.BackColor = System.Drawing.Color.LightCyan;
            this.Chk_StatRemark.Appearance = appearance16;
            this.Chk_StatRemark.Location = new System.Drawing.Point(98, 90);
            this.Chk_StatRemark.Name = "Chk_StatRemark";
            this.Chk_StatRemark.Size = new System.Drawing.Size(92, 20);
            this.Chk_StatRemark.TabIndex = 58;
            this.Chk_StatRemark.Text = "备注";
            // 
            // chk_shdw
            // 
            appearance17.BackColor = System.Drawing.Color.LightCyan;
            this.chk_shdw.Appearance = appearance17;
            this.chk_shdw.Location = new System.Drawing.Point(98, 112);
            this.chk_shdw.Name = "chk_shdw";
            this.chk_shdw.Size = new System.Drawing.Size(84, 17);
            this.chk_shdw.TabIndex = 66;
            this.chk_shdw.Text = "收货单位";
            // 
            // chk_DZ
            // 
            appearance18.BackColor = System.Drawing.Color.LightCyan;
            this.chk_DZ.Appearance = appearance18;
            this.chk_DZ.Location = new System.Drawing.Point(98, 129);
            this.chk_DZ.Name = "chk_DZ";
            this.chk_DZ.Size = new System.Drawing.Size(56, 17);
            this.chk_DZ.TabIndex = 65;
            this.chk_DZ.Text = "到站";
            // 
            // ultchkPactnoDW
            // 
            appearance19.BackColor = System.Drawing.Color.LightCyan;
            this.ultchkPactnoDW.Appearance = appearance19;
            this.ultchkPactnoDW.Location = new System.Drawing.Point(98, 55);
            this.ultchkPactnoDW.Name = "ultchkPactnoDW";
            this.ultchkPactnoDW.Size = new System.Drawing.Size(92, 20);
            this.ultchkPactnoDW.TabIndex = 69;
            this.ultchkPactnoDW.Text = "合同单位";
            // 
            // uchk_InSteel
            // 
            appearance20.BackColor = System.Drawing.Color.LightCyan;
            this.uchk_InSteel.Appearance = appearance20;
            this.uchk_InSteel.Location = new System.Drawing.Point(193, 2);
            this.uchk_InSteel.Name = "uchk_InSteel";
            this.uchk_InSteel.Size = new System.Drawing.Size(92, 20);
            this.uchk_InSteel.TabIndex = 73;
            this.uchk_InSteel.Text = "入库牌号";
            // 
            // uchk_Steel
            // 
            appearance21.BackColor = System.Drawing.Color.LightCyan;
            this.uchk_Steel.Appearance = appearance21;
            this.uchk_Steel.Location = new System.Drawing.Point(193, 20);
            this.uchk_Steel.Name = "uchk_Steel";
            this.uchk_Steel.Size = new System.Drawing.Size(92, 20);
            this.uchk_Steel.TabIndex = 74;
            this.uchk_Steel.Text = "牌号";
            // 
            // uck_Pactno
            // 
            appearance22.BackColor = System.Drawing.Color.LightCyan;
            this.uck_Pactno.Appearance = appearance22;
            this.uck_Pactno.Location = new System.Drawing.Point(193, 38);
            this.uck_Pactno.Name = "uck_Pactno";
            this.uck_Pactno.Size = new System.Drawing.Size(92, 20);
            this.uck_Pactno.TabIndex = 76;
            this.uck_Pactno.Text = "合同号";
            // 
            // ctlKCJListStat
            // 
            this.Controls.Add(this.uck_Pactno);
            this.Controls.Add(this.uchk_Steel);
            this.Controls.Add(this.uchk_InSteel);
            this.Controls.Add(this.chk_shdw);
            this.Controls.Add(this.chk_DZ);
            this.Controls.Add(this.ultchkPactnoDW);
            this.Controls.Add(this.Chk_StatRemark);
            this.Controls.Add(this.Chk_StatStoveNO);
            this.Controls.Add(this.Chk_StatPrd);
            this.Controls.Add(this.chk_LengthStat);
            this.Controls.Add(this.chk_WidthStat);
            this.Controls.Add(this.chk_PlyStat);
            this.Controls.Add(this.chk_NOrderNOStat);
            this.Controls.Add(this.chk_StatInTime);
            this.Controls.Add(this.chk_StatSendOnly);
            this.Controls.Add(this.chk_StatSend);
            this.Controls.Add(this.chk_StatCondole);
            this.Controls.Add(this.chk_StatPlanNO);
            this.Controls.Add(this.chk_StatResult);
            this.Controls.Add(this.chk_StatBilletID);
            this.Controls.Add(this.chk_StatRollNO);
            this.Controls.Add(this.chk_StatButtress);
            this.Name = "ctlKCJListStat";
            this.Size = new System.Drawing.Size(285, 187);
            this.ResumeLayout(false);

		}
		#endregion

		#region "Property

        private string _SelectStr = "SELECT 1 THEORYWEIGHTZL  ";
        //+ "COUNT(A.BILLETID) QUANTITY,SUM(A.THEORYWEIGHT) THEORYWEIGHT ";
        private string _FromStr = "FROM KCJ_TURNOFFLIST_ZW A,KCJ_TURNOFFBUTTRESSLIST_ZW B,SEL_PACTDETAIL C WHERE A.BILLETID=B.BILLETID AND A.ORDERNO=C.ORDERNO(+) AND A.STORAGESTATUS='501602' AND A.ISVALID='1' ";
        private string _GroupbyStr = " GROUP BY A.DETERMINANTCARDNUMBER,BUYERCODE ";

        private string _SendSelectStr = " SELECT TO_CHAR(B.PICKSTORAGETIME,'YY-MM-DD HH24') PICKSTORAGETIME,B.LISTNUMBER ";
        private string _SendGroupby = " GROUP BY A.DETERMINANTCARDNUMBER,B.PICKSTORAGETIME,B.LISTNUMBER,BUYERCODE";
        private string _SendFromStr = " FROM KCJ_TURNOFFLIST_ZW A,KCJ_TURNOFFSENDLIST_ZW B,SEL_PACTDETAIL C WHERE A.BILLETID=B.SERIALNUMBER AND A.ORDERNO=C.ORDERNO(+) AND B.ISVALID<>'0'  AND B.SENDTYPE<='1' AND A.ISVALID='1' ";

        private string _CSendSelectStr = " SELECT  TO_CHAR(B.PICKSTORAGETIME,'YY-MM-DD HH24') PICKSTORAGETIME,B.LISTNUMBER";
        private string _CSendGroupBy = " GROUP BY A.DETERMINANTCARDNUMBER,B.PICKSTORAGETIME,B.LISTNUMBER,BUYERCODE";
        private string _CSendFromStr = " FROM KCJ_TURNOFFLIST_ZW A,KCJ_TURNOFFSENDLIST_ZW B,SEL_PACTINFO_CLEAR C WHERE A.BILLETID=B.SERIALNUMBER AND B.ISVALID<>'0'  AND B.SENDTYPE<='1' AND A.ISVALID='1' ";
        //+" AND B.BUTTRESS=D.BUTTRESS(+) AND D.BUTTRESS(+) NOT IN('虚拟堆位','预装发运')";
        private void chk_StatSendOnly_CheckedChanged(object sender, System.EventArgs e)
        {
            if (this.chk_StatSendOnly.Checked)
            {
                this.chk_StatSend.Checked = false;
            }
        }

        private void chk_StatSend_CheckedChanged(object sender, System.EventArgs e)
        {
            if (this.chk_StatSend.Checked)
            {
                this.chk_StatSendOnly.Checked = false;
            }
        }

        public System.Collections.ArrayList SendSelectStr
        {
            get
            {
                if (this.chk_StatSend.Checked | this.chk_StatSendOnly.Checked)
                {
                    System.Collections.ArrayList rtnList = new ArrayList();
                    string rtnStr = _SendSelectStr;
                    string CrtnStr = _CSendSelectStr;

                    if (this.chk_StatButtress.Checked)
                    {
                        rtnStr = rtnStr + ",B.BUTTRESS ";
                        CrtnStr = CrtnStr + ",B.BUTTRESS ";
                    }
                    if (this.chk_StatRollNO.Checked)
                    {
                        rtnStr = rtnStr + ",B.ROLLNO ROLLNUMBER ";
                        CrtnStr = CrtnStr + ",B.ROLLNO ROLLNUMBER ";
                    }
                    if (this.chk_StatPlanNO.Checked)
                    {
                        rtnStr = rtnStr + ",C.PACTNO,C.PACTINDEX ";
                        CrtnStr = CrtnStr + ",C.PACTNO,C.PACTINDEX ";
                    }
                 
                   
                  
                  
                    if (this.chk_NOrderNOStat.Checked)
                    {
                        rtnStr = rtnStr + ",B.ORDERFORMNUMBER ALLOTORDERFORM ";
                        CrtnStr = CrtnStr + ",B.ORDERFORMNUMBER ALLOTORDERFORM ";
                    }
                  
                    if (this.uchk_Steel.Checked)
                    {
                        rtnStr = rtnStr + ",A.DETERMINANTCARDNUMBER DETERMINANTCARDNUMBER ";
                        CrtnStr = CrtnStr + ",A.DETERMINANTCARDNUMBER DETERMINANTCARDNUMBER ";
                    }
                 
                    if (this.uchk_InSteel.Checked)
                    {
                        rtnStr = rtnStr + ",A.Insteel INSTROAGESTEEL ";
                        CrtnStr = CrtnStr + ",A.Insteel INSTROAGESTEEL ";
                    }

                   
                    if (this.chk_StatCondole.Checked)
                    {
                        rtnStr = rtnStr + ",B.CONDOLENUMBER ";
                        CrtnStr = CrtnStr + ",B.CONDOLENUMBER ";
                    }
                   
                    if (this.chk_StatResult.Checked)
                    {
                        rtnStr = rtnStr + ",(SELECT NAME_ FROM SCM_BASE_INFO WHERE ID_=B.DETERMINANTRESULT) DETERMINANTRESULT,A.DETERMINANTREASON,(SELECT NAME_ FROM SCM_BASE_INFO WHERE ID_=B.JUDGEEASONCODE) JUDGEEASONCODE ";
                        CrtnStr = CrtnStr + ",(SELECT NAME_ FROM SCM_BASE_INFO WHERE ID_=B.DETERMINANTRESULT) DETERMINANTRESULT,A.DETERMINANTREASON,(SELECT NAME_ FROM SCM_BASE_INFO WHERE ID_=B.JUDGEEASONCODE) JUDGEEASONCODE ";
                    }
                   
                    if (this.chk_PlyStat.Checked)
                    {
                        rtnStr = rtnStr + ",B.PLY ";
                        CrtnStr = CrtnStr + ",B.PLY ";
                    }
                    if (this.chk_WidthStat.Checked)
                    {
                        rtnStr = rtnStr + ",B.WIDTH ";
                        CrtnStr = CrtnStr + ",B.WIDTH ";
                    }
                    if (this.chk_LengthStat.Checked)
                    {
                        rtnStr = rtnStr + ",B.LENGTH ";
                        CrtnStr = CrtnStr + ",B.LENGTH ";
                    }
                    if (this.Chk_StatStoveNO.Checked)
                    {
                        rtnStr = rtnStr + ",B.STOVENO ";
                        CrtnStr = CrtnStr + ",B.STOVENO ";
                    }
                    if (this.uck_Pactno.Checked)
                    {
                        rtnStr = rtnStr + ",c.pactno ";
                        CrtnStr = CrtnStr + ",c.pactno ";
                    }
                    if (this.Chk_StatRemark.Checked)
                    {
                        rtnStr = rtnStr + ",NULL HANDREMARK ";
                        CrtnStr = CrtnStr + ",NULL HANDREMARK ";
                    }
                  
                    
                   
                    if (this.chk_StatInTime.Checked)
                    {
                        rtnStr = rtnStr + ",TO_CHAR(A.INTIME,'YYYY-MM-DD') INSTORAGETIME,A.INSTEEL INSTROAGESTEEL,(SELECT NAME_ FROM SCM_BASE_INFO WHERE ID_=A.INCLASSTEAM) INCLASSTEAM ";
                        CrtnStr = CrtnStr + ",TO_CHAR(A.INTIME,'YYYY-MM-DD') INSTORAGETIME,A.INSTEEL INSTROAGESTEEL,(SELECT NAME_ FROM SCM_BASE_INFO WHERE ID_=A.INCLASSTEAM) INCLASSTEAM ";
                    }
                    if (this.Chk_StatPrd.Checked)
                    {
                        rtnStr = rtnStr + ",TO_CHAR(A.PTIME,'YYYY-MM-DD') PTIME,(SELECT NAME_ FROM SCM_BASE_INFO WHERE ID_=A.PCLASSTEAM) PCLASSTEAM ";
                        CrtnStr = CrtnStr + ",TO_CHAR(A.PTIME,'YYYY-MM-DD') PTIME,(SELECT NAME_ FROM SCM_BASE_INFO WHERE ID_=A.PCLASSTEAM) PCLASSTEAM ";
                    }

                    

                    if (this.chk_StatBilletID.Checked)
                    {
                        rtnStr = rtnStr + ",A.BILLETID,1 QUANTITY,B.WEIGHT THEORYWEIGHT ";
                        CrtnStr = CrtnStr + ",A.BILLETID,1 QUANTITY,B.WEIGHT THEORYWEIGHT ";
                    }
                    
                    if (this.chk_DZ.Checked)
                    {
                        rtnStr = rtnStr + ",(SELECT STATIONNAME FROM SEL_STATIONINFO WHERE STATIONCODE = C.STATIONCODE) STATIONCODE ";
                        CrtnStr = CrtnStr + ",(SELECT STATIONNAME FROM SEL_STATIONINFO WHERE STATIONCODE = C.STATIONCODE) STATIONCODE ";
                    }
                    if (this.chk_shdw.Checked)
                    {
                        rtnStr = rtnStr + ",(SELECT INCEPTCORPNAME FROM SEL_INCEPTCORPINFO WHERE INCEPTCORPCODE = C.INCEPTCORPCODE) INCEPTCORPCODE ";
                        CrtnStr = CrtnStr + ",(SELECT INCEPTCORPNAME FROM SEL_INCEPTCORPINFO WHERE INCEPTCORPCODE = C.INCEPTCORPCODE) INCEPTCORPCODE ";
                    }
                    if (this.ultchkPactnoDW.Checked)
                    {
                        rtnStr = rtnStr + ",(select tt.buyername from sel_buyerbaseinfo tt WHERE tt.buyercode = C.BUYERCODE) BUYERCODE ";
                        CrtnStr = CrtnStr + ",(select tt.buyername from sel_buyerbaseinfo tt WHERE tt.buyercode = C.BUYERCODE) BUYERCODE ";
                    }
                
                    else
                    {
                        rtnStr = rtnStr + ",COUNT(A.BILLETID) QUANTITY,SUM(A.THEORYWEIGHT) THEORYWEIGHT  ";
                        CrtnStr = CrtnStr + ",COUNT(A.BILLETID) QUANTITY,SUM(A.THEORYWEIGHT) THEORYWEIGHT  ";
                    }
                    rtnStr = rtnStr + _SendFromStr;
                    CrtnStr = CrtnStr + _CSendFromStr;
                    rtnList.Add(rtnStr);
                    rtnList.Add(CrtnStr);
                    return rtnList;
                }
                else
                {
                    return null;
                }
            }
        }
        public System.Collections.ArrayList SendGroupby
        {
            get
            {
                if (this.chk_StatSend.Checked | this.chk_StatSendOnly.Checked)
                {
                    System.Collections.ArrayList rtnList = new ArrayList();
                    string rtnStr = _SendGroupby;
                    string CrtnStr = _CSendGroupBy;
                    if (this.chk_StatButtress.Checked)
                    {
                        rtnStr = rtnStr + ",B.BUTTRESS ";
                        CrtnStr = CrtnStr + ",B.BUTTRESS ";
                    }
                    if (this.chk_StatRollNO.Checked)
                    {
                        rtnStr = rtnStr + ",B.ROLLNO ";
                        CrtnStr = CrtnStr + ",B.ROLLNO ";
                    }
                    if (this.chk_StatPlanNO.Checked)
                    {
                        rtnStr = rtnStr + ",C.PACTNO,C.PACTINDEX ";
                        CrtnStr = CrtnStr + ",C.PACTNO,C.PACTINDEX ";
                    }
                    
                    if (this.chk_NOrderNOStat.Checked)
                    {
                        rtnStr = rtnStr + ",B.ORDERFORMNUMBER ";
                        CrtnStr = CrtnStr + ",B.ORDERFORMNUMBER ";
                    }
                  
                    if (this.uck_Pactno.Checked)
                    {
                        rtnStr = rtnStr + ",c.pactno ";
                        CrtnStr = CrtnStr + ",c.pactno ";
                    }
                    if (this.uchk_InSteel.Checked)
                    {
                        rtnStr = rtnStr + ",A.Insteel ";
                        CrtnStr = CrtnStr + ",A.Insteel ";
                    }
                    if (this.uchk_Steel.Checked)
                    {
                        rtnStr = rtnStr + ",A.DETERMINANTCARDNUMBER ";
                        CrtnStr = CrtnStr + ",A.DETERMINANTCARDNUMBER ";
                    }
                  
                    if (this.chk_StatCondole.Checked)
                    {
                        rtnStr = rtnStr + ",B.CONDOLENUMBER ";
                        CrtnStr = CrtnStr + ",B.CONDOLENUMBER ";
                    }
                   
                  
                    if (this.chk_StatResult.Checked)
                    {
                        rtnStr = rtnStr + ",B.DETERMINANTRESULT  ";
                        CrtnStr = CrtnStr + ",B.DETERMINANTRESULT  ";
                    }
                   

                  

                    if (this.chk_PlyStat.Checked)
                    {
                        rtnStr = rtnStr + ",B.PLY ";
                        CrtnStr = CrtnStr + ",B.PLY ";
                    }
                    if (this.chk_WidthStat.Checked)
                    {
                        rtnStr = rtnStr + ",B.WIDTH ";
                        CrtnStr = CrtnStr + ",B.WIDTH ";
                    }
                    if (this.chk_LengthStat.Checked)
                    {
                        rtnStr = rtnStr + ",B.LENGTH ";
                        CrtnStr = CrtnStr + ",B.LENGTH ";
                    }
                    if (this.Chk_StatStoveNO.Checked)
                    {
                        rtnStr = rtnStr + ",B.STOVENO ";
                        CrtnStr = CrtnStr + ",B.STOVENO ";
                    }
                   
                    if (this.chk_DZ.Checked)
                    {
                        rtnStr = rtnStr + ",C.STATIONCODE ";
                        CrtnStr = CrtnStr + ",C.STATIONCODE ";
                    }
                    if (this.chk_shdw.Checked)
                    {
                        rtnStr = rtnStr + ",C.INCEPTCORPCODE ";
                        CrtnStr = CrtnStr + ",C.INCEPTCORPCODE ";
                    }
                   
                    if (this.chk_StatInTime.Checked)
                    {
                        rtnStr = rtnStr + ",TO_CHAR(A.INTIME,'YYYY-MM-DD'),A.INSTEEL,A.INCLASSTEAM ";
                        CrtnStr = CrtnStr + ",TO_CHAR(A.INTIME,'YYYY-MM-DD'),A.INSTEEL,A.INCLASSTEAM ";
                    }
                    if (this.Chk_StatPrd.Checked)
                    {
                        rtnStr = rtnStr + ",TO_CHAR(A.PTIME,'YYYY-MM-DD'),A.PCLASSTEAM ";
                        CrtnStr = CrtnStr + ",TO_CHAR(A.PTIME,'YYYY-MM-DD'),A.PCLASSTEAM ";
                    }
                   
                    if (chk_StatBilletID.Checked)
                    {
                        rtnStr = rtnStr + ",B.WEIGHT ";
                        CrtnStr = CrtnStr + ",B.WEIGHT ";
                    }
                 
                    rtnList.Add(rtnStr);
                    rtnList.Add(CrtnStr);
                    return rtnList;
                }
                else
                {
                    return null;
                }
            }
        }

        public System.Collections.ArrayList Groupby
        {
            get
            {
                System.Collections.ArrayList rtnList = new ArrayList();
                string rtnStr = _GroupbyStr;
                if (this.chk_StatSendOnly.Checked)
                {
                    return null;
                }
                if (this.chk_StatButtress.Checked)
                {
                    rtnStr = rtnStr + ",B.BUTTRESS";
                }
               
                if (this.chk_StatRollNO.Checked)
                {
                    rtnStr = rtnStr + ",A.ROLLNUMBER";
                }
                

                if (this.chk_StatPlanNO.Checked)
                {
                    rtnStr = rtnStr + ",C.PACTNO,C.PACTINDEX ";
                }
                
                if (this.uck_Pactno.Checked)
                {
                    rtnStr = rtnStr + ",C.PACTNO  ";
                }
               
                if (this.uck_Pactno.Checked)
                {
                    rtnStr = rtnStr + ",c.pactno";

                }
                if (this.uchk_InSteel.Checked)
                {
                    rtnStr = rtnStr + ",A.Insteel ";

                }
                if (this.uchk_Steel.Checked)
                {
                    rtnStr = rtnStr + ",A.DETERMINANTCARDNUMBER ";

                }
                
                
                
                if (this.chk_NOrderNOStat.Checked)
                {
                    rtnStr = rtnStr + ",A.ORDERNO ";
                }
               

               
                if (this.chk_StatResult.Checked)
                {
                    rtnStr = rtnStr + ",A.DETERMINANTRESULT";
                }
               
                if (this.chk_PlyStat.Checked)
                {
                    rtnStr = rtnStr + ",A.PLY ";
                }
                if (this.chk_StatCondole.Checked)
                {
                    rtnStr = rtnStr + ",B.CONDOLENUMBER ";


                }
                if (this.chk_WidthStat.Checked)
                {
                    rtnStr = rtnStr + ",A.WIDTH ";
                }
                if (this.chk_LengthStat.Checked)
                {
                    rtnStr = rtnStr + ",A.LENGTH ";
                }
                if (this.Chk_StatStoveNO.Checked)
                {
                    rtnStr = rtnStr + ",A.STOVENO ";
                }
                if (this.Chk_StatRemark.Checked)
                {
                    rtnStr = rtnStr + ",B.HANDREMARK ";
                }
              
                if (this.chk_DZ.Checked)
                {
                    rtnStr = rtnStr + ",C.STATIONCODE ";
                }
                if (this.chk_shdw.Checked)
                {
                    rtnStr = rtnStr + ",C.INCEPTCORPCODE ";
                }
        
                if (this.chk_StatInTime.Checked)
                {
                    rtnStr = rtnStr + ",TO_CHAR(A.INTIME,'YYYY-MM-DD'),A.INSTEEL,A.INCLASSTEAM ";
                }
                if (this.Chk_StatPrd.Checked)
                {
                    rtnStr = rtnStr + ",TO_CHAR(A.PTIME,'YYYY-MM-DD'),A.PCLASSTEAM ";
                }
              
                if (this.chk_StatBilletID.Checked)
                {
                    rtnStr = "";
                    rtnList.Add("");
                    return rtnList;
                }

                rtnList.Add(rtnStr);
                return rtnList;

            }
        }
        public System.Collections.ArrayList SelectStr
        {
            get
            {
                System.Collections.ArrayList rtnList = new ArrayList();
                string rtnStr = _SelectStr;
                if (this.chk_StatSendOnly.Checked)//仅发运信息
                {
                    return null;
                }
                if (this.chk_StatButtress.Checked)
                {
                    rtnStr = rtnStr + ",B.BUTTRESS ";
                }
                if (this.chk_StatRollNO.Checked)
                {
                    rtnStr = rtnStr + ",A.ROLLNUMBER ";
                }
                


               
                if (this.uchk_Steel.Checked)
                {
                    rtnStr = rtnStr + ",A.DETERMINANTCARDNUMBER ";

                }
               
                if (this.uchk_InSteel.Checked)
                {
                    rtnStr = rtnStr + ",A.Insteel INSTROAGESTEEL ";

                }

               
                if (this.uck_Pactno.Checked)
                {
                    rtnStr = rtnStr + ",c.PACTNO ";

                }
              
                if (this.chk_StatPlanNO.Checked)
                {
                    rtnStr = rtnStr + ",C.PACTINDEX ";
                }
               
               
                if (this.chk_NOrderNOStat.Checked)
                {
                    rtnStr = rtnStr + ",A.ORDERNO ALLOTORDERFORM ";
                }
                
                if (this.chk_StatCondole.Checked)
                {
                    rtnStr = rtnStr + ",B.CONDOLENUMBER ";
                    if (rtnStr.IndexOf("THEORYWEIGHTZL") > 0)
                    {
                        rtnStr.Replace(" A.THEORYWEIGHT THEORYWEIGHTZL  ,", " ");
                    }
                }
               
               
                if (this.chk_StatResult.Checked)
                {
                    rtnStr = rtnStr + ",(SELECT NAME_ FROM SCM_BASE_INFO WHERE ID_=A.DETERMINANTRESULT) DETERMINANTRESULT ";
                }
               
                if (this.chk_PlyStat.Checked)
                {
                    rtnStr = rtnStr + ",A.PLY ";
                }
                if (this.chk_WidthStat.Checked)
                {
                    rtnStr = rtnStr + ",A.WIDTH ";
                }
                if (this.chk_LengthStat.Checked)
                {
                    rtnStr = rtnStr + ",A.LENGTH ";
                }
                if (this.Chk_StatStoveNO.Checked)
                {
                    rtnStr = rtnStr + ",A.STOVENO ";
                }
                if (this.Chk_StatRemark.Checked)
                {
                    rtnStr = rtnStr + ",B.HANDREMARK ";
                }
               
              
                
                if (this.chk_DZ.Checked)
                {
                    rtnStr = rtnStr + ",(SELECT STATIONNAME FROM SEL_STATIONINFO WHERE STATIONCODE = C.STATIONCODE) STATIONCODE ";
                }
                if (this.chk_shdw.Checked)
                {
                    rtnStr = rtnStr + ",(SELECT INCEPTCORPNAME FROM SEL_INCEPTCORPINFO WHERE INCEPTCORPCODE = C.INCEPTCORPCODE) INCEPTCORPCODE ";
                }
               
                if (this.chk_StatInTime.Checked)
                {
                    rtnStr = rtnStr + ",TO_CHAR(A.INTIME,'YYYY-MM-DD') INSTORAGETIME,A.INSTEEL INSTROAGESTEEL,(SELECT NAME_ FROM SCM_BASE_INFO WHERE ID_=A.INCLASSTEAM) INCLASSTEAM ";
                }
                if (this.Chk_StatPrd.Checked)
                {
                    rtnStr = rtnStr + ",TO_CHAR(A.PTIME,'YYYY-MM-DD') PTIME,(SELECT NAME_ FROM SCM_BASE_INFO WHERE ID_=A.PCLASSTEAM) PCLASSTEAM ";
                }
                
                if (this.chk_StatBilletID.Checked)
                {
                    rtnStr = rtnStr + ",A.BILLETID,1 QUANTITY,A.THEORYWEIGHT ";
                }
                else
                {
                    rtnStr = rtnStr + ",COUNT(A.BILLETID) QUANTITY,SUM(A.THEORYWEIGHT) THEORYWEIGHT  ";
                }
                rtnStr = rtnStr + _FromStr;
                rtnList.Add(rtnStr);
                return rtnList;

            }
        }
		
		#endregion
	}
}
